{
  "name": "lstv2",
  "version": "2.20.0",
  "type": "module",
  "scripts": {
    "dev": "concurrently -n \"server,frontend\" -c \"#007755,#2f6da3\" \"npm run dev:server\" \"cd frontend && npm run dev\"",
    "dev:server": "dotenvx run -f .env -- tsx watch server/index.ts",
    "dev:frontend": "cd frontend && npm run dev",
    "dev:dbgen": " drizzle-kit generate --config=drizzle-dev.config.ts",
    "dev:dbmigrate": " drizzle-kit migrate --config=drizzle-dev.config.ts",
    "build": "npm run build:server && npm run build:frontend && npm run zipServer && npm run dev",
    "build:server": "rimraf dist && tsc --build && npm run copy:scripts && xcopy server\\services\\notifications\\utils\\views\\ dist\\server\\services\\notifications\\utils\\views\\ /E /I /Y",
    "build:frontend": "cd frontend && npm run build",
    "copy:scripts": "tsx server/scripts/copyScripts.ts",
    "copy:servers": "xcopy server\\services\\server\\utils\\serverData.json dist\\server\\services\\server\\utils /E /I /Y",
    "start": "set NODE_ENV=production && npm run start:server",
    "start:server": "dotenvx run -f .env -- node dist/server/index.js",
    "db:generate": "npx drizzle-kit generate",
    "db:migrate": "npx drizzle-kit push",
    "db:dev": "npm run build && npm run db:generate && npm run db:migrate",
    "deploy": "standard-version --conventional-commits && npm run build",
    "zipServer": "dotenvx run -f .env -- tsx server/scripts/zipUpBuild.ts \"C:\\Users\\matthes01\\Documents\\lstv2\"",
    "v1Build": "cd C:\\Users\\matthes01\\Documents\\logisticsSupportTool && npm run oldBuilder",
    "scriptBuild": "powershell -ExecutionPolicy Bypass -File server/scripts/build.ps1 -dir \"C:\\Users\\matthes01\\Documents\\lstv2\"",
    "removeOld": "rimraf dist && rimraf frontend/dist",
    "prodBuild": "npm run v1Build && npm run build && npm run zipServer && npm run dev",
    "commit": "cz",
    "prodinstall": "npm i --omit=dev && npm run db:migrate",
    "checkupdates": "npx npm-check-updates",
    "testingCode": "dotenvx run -f .env -- tsx watch server/services/logistics/controller/warehouse/cycleCountChecks/cyclecountCheck.ts"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  },
  "admConfig": {
    "build": 348,
    "oldBuild": "backend-0.1.3.zip"
  },
  "devDependencies": {
    "@types/adm-zip": "^0.5.7",
    "@types/bcrypt": "^5.0.2",
    "@types/fs-extra": "^11.0.4",
    "@types/js-cookie": "^3.0.6",
    "@types/mssql": "^9.1.7",
    "@types/node": "^22.13.11",
    "@types/node-cron": "^3.0.11",
    "@types/nodemailer": "^6.4.17",
    "@types/pg": "^8.11.11",
    "@types/ws": "^8.18.0",
    "concurrently": "^9.1.2",
    "cz-conventional-changelog": "^3.3.0",
    "standard-version": "^9.5.0",
    "tsx": "^4.19.3",
    "typescript": "^5.8.2"
  },
  "dependencies": {
    "@dotenvx/dotenvx": "^1.39.0",
    "@hono/node-server": "^1.14.0",
    "@hono/zod-openapi": "^0.19.2",
    "@scalar/hono-api-reference": "^0.7.2",
    "@tanstack/react-form": "^1.2.1",
    "@tanstack/react-table": "^8.21.2",
    "@types/jsonwebtoken": "^9.0.9",
    "@types/nodemailer-express-handlebars": "^4.0.5",
    "adm-zip": "^0.5.16",
    "axios": "^1.8.4",
    "bcryptjs": "^3.0.2",
    "croner": "^9.0.0",
    "date-fns": "^4.1.0",
    "date-fns-tz": "^3.2.0",
    "drizzle-kit": "^0.30.5",
    "drizzle-orm": "^0.41.0",
    "drizzle-zod": "^0.7.0",
    "excel-date-to-js": "^1.1.5",
    "fast-xml-parser": "^5.0.9",
    "fs-extra": "^11.3.0",
    "jsonwebtoken": "^9.0.2",
    "mssql": "^11.0.1",
    "nodemailer": "^6.10.0",
    "nodemailer-express-handlebars": "^7.0.0",
    "pg": "^8.14.1",
    "pino": "^9.6.0",
    "pino-abstract-transport": "^2.0.0",
    "pino-pretty": "^13.0.0",
    "postgres": "^3.4.5",
    "react-resizable-panels": "^2.1.7",
    "rimraf": "^6.0.1",
    "st-ethernet-ip": "^2.7.3",
    "ws": "^8.18.1",
    "xlsx": "^0.18.5",
    "zod": "^3.24.2"
  }
}